
//  CAD Mapping Tools Version 2.0 Demo
//
//  Copyright (C) 1994 Weaver Consulting, All Rights Reserved.

// Basic
cmtsetup : dialog {
   label = "DRAWING SETUP";
   : row {
       : column {
           : radio_column {
               label       = "Angular";
               key         = "angular";
              : radio_button {
                    label  = "Azimuth";
                    key    = "azimuth";
              }
              : radio_button {
                    label  = "Bearing";
                    key    = "bearing";
              }
           }
           : radio_column {
               label       = "Linear";
               key         = "linear";
              : radio_button {
                    label  = "Meters";
                    key    = "meters";
              }
              : radio_button {
                    label  = "Feet";
                    key    = "feet";
              }
           }
           : toggle {
              label = "Expert";
              key   = "expert";
           }

       }
       : boxed_column {
           label = "Scales & Sizes";
           : row {
               : button {
                   label        = "Plan Scale ";
                   key          = "pln_but";
                   mnemonic     = "l";
               }
               : edit_box {
                  key           = "plan_scale";
                  edit_width    = 14;
               }
           }
           : row {
               : button {
                   label        = "Text Height";
                   key          = "txt_but";
                   mnemonic     = "H";
               }
               : edit_box {
                   key          = "text_ht";
                   edit_width   = 14;
               }
           }
           : row {
               : button {
                   label        = "Text Space ";
                   key          = "spc_but";
                   mnemonic     = "T";
               }
               : edit_box {
                   key          = "txt_dst";
                   edit_width   = 14;
               }
           }
           : row {
               : button {
                   label        = "Sheet Size ";
                   key          = "sht_but";
                   mnemonic     = "S";
               }
               : text {
                   key          = "sheet";
                   width        = 14;
                   alignment    = right;
               }
           }
       }
   }
   ok_cancel_help_errtile;
}

// Sheet Size
sheet : dialog {
   label = "SHEET SIZE";
   : row {
     : edit_box {
        key = "sheet_size_x";
        label = "Length X:";
        mnemonic = "X";
        edit_width = 6;
     }
     : edit_box {
        key = "sheet_size_y";
        label = "Width Y:";
        mnemonic = "Y";
        edit_width = 6;
     }
     : toggle {
        key   = "insert";
        label = "Insert";
     }
   }
   : row {
     : column {
       : edit_box {
          key        = "top";
          label      = "Top Margin";
          edit_width = 4;
       }
       : edit_box {
          key        = "bot";
          label      = "Bottom Margin";
          edit_width = 4;
       }
     }
     : column {
       : edit_box {
          key        = "lft";
          label      = "Left Margin";
          edit_width = 4;
       }
       : edit_box {
          key        = "rht";
          label      = "Right Margin";
          edit_width = 4;
       }
     }
   }
   : popup_list {
      label = "Sheet Size ";
      key   = "sheet_size_list";
      width = 21;
   }
   : popup_list {
      label = "Title Block";
      key   = "title";
      width = 21;
   }
   ok_cancel_help_errtile;
}
// Plan Size
scale : dialog {
   label = "PLAN SCALE";
   : row {
     : edit_box {
        key = "plan_scale_value";
        label = "Scale:";
        mnemonic = "X";
        edit_width = 6;
     }
     : popup_list {
        key   = "plan_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
ok_not : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        cancel_button;
    }
}
txt_scale : dialog {
   label = "PLOTTED TEXT SIZE";
   : row {
     : edit_box {
        key = "text_scale_value";
        label = "Size:";
        edit_width = 6;
     }
     : popup_list {
        key   = "text_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
// Distance to Text
txt_dist : dialog {
   label = "PLOTTED TEXT SPACE";
   : row {
     : edit_box {
        key = "text_scale_value";
        label = "Space:";
        edit_width = 6;
     }
     : popup_list {
        key   = "text_scale_list";
        width = 21;
     }
   }
   ok_cancel_help_errtile;
}
// Label precision
set_prec : dialog {
   label = "LABEL PRECISION";
   : row {
    : spacer_0 {}
    : column {
        : edit_box {
           key = "coord";
           label = "Coordinates:";
           mnemonic = "C";
           edit_width = 1;
           edit_limit = 1;
        }
        : edit_box {
           key = "dist";
           label = "Distance:";
           mnemonic = "D";
           edit_width = 1;
           edit_limit = 1;
        }
        : edit_box {
           key = "stat";
           label = "Station:";
           mnemonic = "S";
           edit_width = 1;
           edit_limit = 1;
        }
    }
    : spacer_0 {}
   }
   ok_cancel_err;
}


anotcurv : dialog {
  label = "CURVE ANNOTATION";
  : row {
    : column {
        : boxed_radio_column {
            key = "select";
            label = "Select by:";
            : radio_button {
                key = "entity";
                label = "Entity";
            }
            : radio_button {
                key = "point";
                label = "Points";
            }
            : radio_button {
                key = "group";
                label = "Group";
            }
        }
        : boxed_radio_column {
            key = "prefix";
            label = "Prefix";
            : radio_button {
                key = "l";
                label = "L =";
            }
            : radio_button {
                key = "a";
                label = "A =";
            }
            : radio_button {
                key = "n";
                label = "None";
            }
        }
    }
    : column {
        : boxed_column {
            key = "leader";
            label = "Leader";
            : toggle {
                key = "delta";
                label = "Delta";
            }
            : toggle {
                key = "length";
                label = "Length";
            }
            : toggle {
                key = "radius";
                label = "Radius";
            }
            : toggle {
                key = "tangent";
                label = "Tangent";
            }
        }
    }
    : boxed_radio_column {
        key = "canote";
        label = "Annotation";
        : radio_button {
            key = "ca-1";
            label = "R L D (";
        }
        : radio_button {
            key = "ca-2";
            label = "( R L D";
        }
        : radio_button {
            key = "ca-3";
            label = "R L ( D";
        }
        : radio_button {
            key = "ca-4";
            label = "D ( R L";
        }
        : radio_button {
            key = "ca-5";
            label = "R (";
        }
        : radio_button {
            key = "ca-6";
            label = "L (";
        }
        : radio_button {
            key = "ca-7";
            label = "( R";
        }
        : radio_button {
            key = "ca-8";
            label = "( L";
        }
    }
  }
  : row {
    : button {
        key = "leader_but";
        label = "Leader";
    }
    : button {
        key = "curve_but";
        label = "Curve";
    }
    : button {
        key = "number_but";
        label = "Number";
    }
  }
  cancel_help;
}


cancel_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

anotline : dialog {
  label = "LINE ANNOTATION";
  : row {
    : column {
        : boxed_radio_column {
            key = "select";
            label = "Select by:";
            : radio_button {
                key = "entity";
                label = "Entity";
            }
            : radio_button {
                key = "point";
                label = "Points";
            }
            : radio_button {
                key = "group";
                label = "Group";
            }
        }
        : boxed_column {
            key = "leader";
            label = "Leader";
            : toggle {
                key = "angle";
                label = "Angle";
            }
            : toggle {
                key = "dist";
                label = "Distance";
            }
        }
        : toggle {
            key = "horizontal";
            label = "Horizontal Distance";
        }
    }
    : boxed_radio_column {
        key = "lanote";
        label = "Annotation";
        : radio_button {
            key = "1";
            label = "ANGLE / DISTANCE";
        }
        : radio_button {
            key = "2";
            label = "DISTANCE / ANGLE";
        }
        : radio_button {
            key = "3";
            label = "ANGLE DISTANCE /";
        }
        : radio_button {
            key = "4";
            label = "/ ANGLE DISTANCE";
        }
        : radio_button {
            key = "5";
            label = "ANGLE /";
        }
        : radio_button {
            key = "6";
            label = "DISTANCE /";
        }
        : radio_button {
            key = "7";
            label = "/ ANGLE";
        }
        : radio_button {
            key = "8";
            label = "/ DISTANCE";
        }
    }
  }
  : row {
    : button {
        key = "leader_but";
        label = "Leader";
    }
    : button {
        key = "line_but";
        label = "Line";
    }
    : button {
        key = "number_but";
        label = "Number";
    }
  }
  cancel_help;
}

culdesac : dialog {
  label = "CUL-DE-SAC";
  : row {
     : column {
        : row  {
          : image_button {
              key = "standard";
              width = 18;
              aspect_ratio = 0.75;
              color = 8;
              is_default = true;
          }
          : image_button {
              key = "bulge";
              width = 18;
              aspect_ratio = 0.75;
              color = 8;
              is_default = true;
          }
        }
        : row  {
          : image_button {
              key = "elbow";
              width = 18;
              aspect_ratio = 0.75;
              color = 8;
              is_default = true;
          }
          : image_button {
              key = "circle";
              width = 18;
              aspect_ratio = 0.75;
              color = 8;
              is_default = true;
          }
        }
     }
     : column {
        : edit_box {
            key    = "r1";
            label  = "R1";
            edit_width = 8;
        }
        : edit_box {
            key        = "r2";
            label      = "R2";
            edit_width = 8;
        }
        : edit_box {
            key        = "r3";
            label      = "R3";
            edit_width = 8;
        }
        : edit_box {
            key        = "os";
            label      = "OS";
            edit_width = 8;
        }
     }
  }
  cancel_help;
}
curvcalc : dialog {
    label = "CIRCULAR CURVE CALCULATOR";
    : row {
        : spacer {}
        : column {
            : spacer_0 {}
            : toggle {
                key  = "rad_tog";
            }
            : toggle {
                key  = "dlt_tog";
            }
            : toggle {
                key  = "len_tog";
            }
            : toggle {
                key  = "tan_tog";
            }
            : toggle {
                key  = "chd_tog";
            }
            : toggle {
                key  = "doc_tog";
            }
            : text {
                key  = "dummy1";
            }
            : text {
                key  = "dummy2";
            }
            : spacer_0 {}
        }
        : column {
            : edit_box {
                key        = "radius";
                label      = "Radius";
                mnemonic   = "R";
                edit_width = 10;
            }
            : edit_box {
                key        = "delta";
                label      = "Delta";
                mnemonic   = "D";
                edit_width = 10;
            }
            : edit_box {
                key        = "length";
                label      = "Arc Length";
                mnemonic   = "A";
                edit_width = 10;
            }
            : edit_box {
                key        = "tangent";
                label      = "Tangent";
                mnemonic   = "T";
                edit_width = 10;
            }
            : edit_box {
                key        = "chord";
                label      = "Chord Length";
                mnemonic   = "C";
                edit_width = 10;
            }
            : edit_box {
                key        = "degree";
                label      = "Degree of Curve";
                mnemonic   = "g";
                edit_width = 10;
            }
            : edit_box {
                key        = "external";
                label      = "External";
                mnemonic   = "E";
                edit_width = 10;
            }
            : edit_box {
                key        = "mordinate";
                label      = "Middle Ordinate";
                mnemonic   = "M";
                edit_width = 10;
            }
        }
        : spacer {}
    }
   : column {
      : row {
          ok_button;
          cancel_button;
          : button {
            key         = "calculate";
            label       = "Calc";
            fixed_width = true;
            width       = 8;
            alignment   = centered;
          }
          : button {
            key         = "list";
            label       = "List";
            fixed_width = true;
            width       = 8;
            alignment   = centered;
          }
          help_button;
      }
      errtile;
   }

}
ok_help : column {
    : row {
        fixed_width = true;
        alignment = centered;
        ok_button;
        : spacer { width = 2; }
        help_button;
    }
}

drwlines : dialog {
    label = "DRAW AZIMUTH/BEARING LINES";
    : row {
        : row {
            : column {
                : spacer_1 {}
                : text {
                    label = "Angle";
                }
                : text {
                    label = "Length";
                }
                : spacer_1 {}
            }
            : column {
                : spacer_1 {}
                : text {
                    key         = "list_ang";
                    alignment   = right;
                    fixed_width = true;
                    width       = 14;
                }
                : text {
                    key         = "length";
                    alignment   = right;
                    fixed_width = true;
                    width       = 14;
                }
                : spacer_1 {}
            }
        }
        : column {
            : button {
                label = "Angle/Dist";
                key   = "ang_dst";
                mnemonic = "A";
            }
            : button {
                label = "Tangent";
                key   = "tangent";
                mnemonic = "T";
            }
            : button {
                label = "List Line>>";
                key   = "list";
                mnemonic = "L";
            }
        }
    }
    ok_help;
}
get_angle : dialog {
    label = "ENTER DD.MMSS ANGLE";
    : edit_box {
        label      = "Enter DD.MMSS Angle: ";
        key        = "angle";
        edit_width = 12;
    }
    : row {
        : boxed_radio_column {
            label  = "Angle Type";
            key    = "ang_type";
            : radio_button {
                label = "Azimuth";
                key   = "azimuth";
            }
            : radio_button {
                label = "Bearing";
                key   = "bearing";
            }
        }
        : boxed_radio_column {
            label  = "Traverse Type";
            key    = "trav_type";
            : radio_button {
                label = "Sideshot";
                key   = "sideshot";
            }
            : radio_button {
                label = "Traverse";
                key   = "traverse";
            }
        }
    }
    : radio_row {
        key  = "direction";
        : radio_button {
            label = "NE";
            key   = "1";
        }
        : radio_button {
            label = "SE";
            key   = "2";
        }
        : radio_button {
            label = "SW";
            key   = "3";
        }
        : radio_button {
            label = "NW";
            key   = "4";
        }
    }
    ok_cancel_help_errtile;
}

drwcurve : dialog {
    label = "CIRCULAR CURVES";
    : row {
        : boxed_row {
            label          = "Curve Data";
            : column {
                : text {
                    label     = "Radius";
                    alignment = left;
                }
                : text {
                    label     = "Delta Angle";
                    alignment = "left";
                }
                : text {
                    label     = "Arc Length";
                    alignment = "left";
                }
                : text {
                    label     = "Tangent Length";
                    alignment = "left";
                }
                : text {
                    label     = "Chord Length";
                    alignment = "left";
                }
                : text {
                    label     = "Degree of Curve";
                    alignment = "left";
                }
            }
            : column {
                : text {
                    key       = "radius";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "delta";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "arc_len";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "tangent";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "chord_len";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
                : text {
                    key       = "degree_crv";
                    alignment = right;
                    fixed_width = true;
                    width = 12;
                }
            }
        }
        : boxed_column {
            label          = "Curve Type";
            : button {
                key        = "compound";
                label      = "Compound";
            }
            : button {
                key        = "reverse";
                label      = "Reverse";
            }
            : button {
                key        = "non_tang";
                label      = "Non-Tangent";
            }
            : button {
                key        = "tangent1";
                label      = "One Tangent";
            }
            : button {
                key        = "tangent2";
                label      = "Two Tangent";
            }
            : button {
                key        = "tangent3";
                label      = "Three Tangent";
            }
            : button {
                key        = "list_crv";
                label      = "List Curve >>";
            }
        }
    }
    ok_help;
}
curvtang : dialog {
    label = "ENTER DD.MMSS ANGLE";
    : edit_box {
        label      = "Enter DD.MMSS Angle: ";
        key        = "angle";
        edit_width = 12;
    }
    : boxed_radio_row {
        label  = "Angle Type";
        key    = "ang_type";
        : radio_button {
            label = "Azimuth";
            key   = "azimuth";
        }
        : radio_button {
            label = "Bearing";
            key   = "bearing";
        }
    }
    : boxed_radio_row {
        label = "Quadrant";
        key  = "direction";
        : radio_button {
            label = "NE";
            key   = "1";
        }
        : radio_button {
            label = "SE";
            key   = "2";
        }
        : radio_button {
            label = "SW";
            key   = "3";
        }
        : radio_button {
            label = "NW";
            key   = "4";
        }
    }
    ok_cancel_help_errtile;
}
twod_grid : dialog {
    label = "2D GRID";
    : row {
        : text {label = "Maximum: ";}
        : edit_box {
            key = "max_north";
            label = "N";
            edit_width = 12;
        }
        : edit_box {
            key = "max_east";
            label = "E";
            edit_width = 12;
        }
    }
    : row {
        : text {label = "Minimum: ";}
        : edit_box {
            key = "min_north";
            label = "N";
            edit_width = 12;
        }
        : edit_box {
            key = "min_east";
            label = "E";
            edit_width = 12;
        }
    }
    : row {
        : edit_box {
            key = "interval";
            label = "Interval";
            edit_width = 6;
        }
        : button {
            key = "round";
            label = "Round Off";
        }
        : button {
            key = "window";
            label = "Window>>";
        }
    }
    : row {
        : spacer_1 {}
        : boxed_radio_column {
            key = "type";
            label = "Type";
            : radio_button {
                key = "lines";
                label = "Lines";
            }
            : radio_button {
                key = "tick";
                label = "Ticks";
            }
        }
        : boxed_radio_column {
            key = "label";
            label = "Labels";
            : radio_button {
                key = "grid";
                label = "Grid";
            }
            : radio_button {
                key = "axis";
                label = "Axis";
            }
        }
        : spacer_1 {}
    }
    ok_cancel_help_errtile;
}
ini_type : dialog {
    label = "EDIT DEFAULTS";
    : button {
        label = "Layer";
        key   = "layers";
        mnumonic = "L";
    }
    : button {
        label = "Numeric";
        key   = "numeric";
        mnumonic = "N";
    }
    : button {
        label = "Text";
        key   = "text";
        mnumonic = "T";
    }
    ok_cancel;
}

edit_txt : dialog {
    label = "DEFAULT TEXT";
    : row {
        : column {
            : radio_row {
                key = "angular";
                label = "Angular Units";
                : radio_button {
                    key = "azimuth";
                    label = "Azimuth";
                }
                : radio_button {
                    key = "bearing";
                    label = "Bearing";
                }
            }
            : spacer { height = 1; }
            : radio_row {
                key = "linear";
                label = "Linear Units";
                : radio_button {
                    key = "meters";
                    label = "Meters";
                }
                : radio_button {
                    key = "feet";
                    label = "Feet";
                }
            }
            : spacer { height = 1; }
            : radio_row {
                key = "expert";
                label = "Expert Mode";
                : radio_button {
                    key = "1";
                    label = "On";
                }
                : radio_button {
                    key = "0";
                    label = "Off";
                }
            }
        }
        : spacer_1 {}
        : boxed_column {
            label = "Labels";
                : edit_box {
                    key = "d_suffix";
                    label = "Distance";
                    edit_width = 8;
                }
                : edit_box {
                    key = "sq_area";
                    label = "Square Units";
                    edit_width = 8;
                }
                : edit_box {
                    key = "acreage";
                    label = "Acreage";
                    edit_width = 8;
                }
                : edit_box {
                    key = "pipe";
                    label = "Pipe Length";
                    edit_width = 8;
                }
        }
        : spacer_1 {}
        : boxed_column {
            label = "Pipe Type";
                : edit_box {
                    key = "type";
                    label = "Water";
                    edit_width = 8;
                }
                : edit_box {
                    key = "sewerp";
                    label = "Sewer";
                    edit_width = 8;
                }
                : edit_box {
                    key = "stormp";
                    label = "Storm";
                    edit_width = 8;
                }
        }
    }
    ok_cancel;
}
editlayr : dialog {
    label = "LAYERS, COLORS & LINETYPES";
    : popup_list {
        key = "description";
        label = "Layer";
        edit_width = 30;
    }
    : edit_box {
        label = "Name";
        key = "lname";
        edit_width = 32;
    }
    : row {
        : edit_box {
            label = "Color";
            key   = "lcolr";
            edit_width = 3;
        }
        : image_button {
          key      = "show_image2";
          height   = 1;
          aspect   = 2;
        }
        : button {
            label = "Linetype";
            key   = "lt_button";
        }
        : text {
            key = "ltype";
            width = 10;
        }
    }
    ok_cancel_err;
}

edit_number : dialog {
    label = "EDIT DEFAULT VALUE";
    : text {
      label = "  Description          Value";
    }
    : list_box {
        key = "txt";
        tabs = "26";
        allow_accept = true;
        width  = 26;
    }
    ok_cancel_err;
}

edit_num_val : dialog {
    label = "EDIT NUMERIC VALUE";
    : row {
        : spacer_1 {}
        : text {
            key = "desc";
            width = 24;
        }
        : edit_box {
            key = "value";
            edit_width = 6;
        }
        : spacer_1 {}
    }
    ok_cancel_err;
}



